#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
class CreditCardsController < ApplicationController
  
  filter_parameter_logging :credit_card
  
  def create
    @credit_card = CreditCard.new(params[:credit_card])
    
    respond_to do |format|
      if @credit_card.save
        format.xml { render :xml      => @credit_card, 
                            :status   => :created, 
                            :location => @credit_card }
      else
        format.xml { render :xml    => @credit_card.errors, 
                            :status => :unprocessable_entity }
      end
    end
	
  end
  
end
