#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
module Encryption
  mattr_accessor :algorithm
  self.algorithm = 'aes-256-cbc'
  
  def encrypt(data, password, salt)
    cipher = OpenSSL::Cipher::Cipher.new(algorithm)
    cipher.encrypt
    cipher.pkcs5_keyivgen(password, salt)
    encrypted_data = cipher.update(data)
    encrypted_data << cipher.final
  end
  
  def decrypt(encrypted_data, password, salt)
    cipher = OpenSSL::Cipher::Cipher.new(algorithm)
    cipher.decrypt
    cipher.pkcs5_keyivgen(password, salt)
    data = cipher.update(encrypted_data)
    data << cipher.final
  end
end