#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
class Event < ActiveRecord::Base
  
#  has_many :registrations
#  has_many :paid_registrations, 
#           :class_name => "Registration",
#           :conditions => "paid_at is not null"
                 
#  has_many :registrations do
#    def paid
#      find(:all, :conditions => "paid_at is not null")
#    end    
#  end  
             
   has_many :registrations do
     def paid(reload=false)
       @paid_registrations = nil if reload
       @paid_registrations ||= find(:all, :conditions => "paid_at is not null")
     end
   end
                        
end
