#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
class CreateRegistrations < ActiveRecord::Migration

  def self.up
    create_table :registrations do |t|
      t.string   :name
      t.integer  :event_id
      t.integer  :user_id
      t.decimal  :price, :precision => 8, :scale => 2
      t.datetime :paid_at
      t.datetime :payment_due
    end
  end

  def self.down
    drop_table :registrations
  end
end
