#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
class ShopsController < ApplicationController

  def new
    @shop = Shop.new
  end
  
  def create
    @shop = Shop.new(params[:shop])
    if @shop.save
      session[:shop_id] = @shop.id
      flash[:notice] = "Shop created successfully"
      redirect_to charges_url
    else
      render :action => :new
    end
  end
  
end
