#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
class CreateTestData < ActiveRecord::Migration

  def self.up
    down
    s = Shop.create!(:name => 'Test Shop', 
                     :login => 'shop', 
                     :password => 'shop')
    
    1.upto(10) do |number|
      s.customers.create!(:name => "Fred #{number}", 
                          :login => 'test', 
                          :password => 'test')
    end

  end

  def self.down
    Shop.delete_all
    Customer.delete_all
  end
  
end
