#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
# this worker would test thread issues that were discussed before
require "net/http"
class RssWorker < BackgrounDRb::MetaWorker
  set_worker_name :rss_worker
  pool_size(10)
  def create(args = nil)
    # this method is called, when worker is loaded for the first time
  end

  # method would fetch supplied urls in a thread
  def fetch_url(url)
    thread_pool.defer(url) do |url|
      puts "Starting work for #{url}"
      begin
        data = Net::HTTP.get(url,'/')
        File.open("#{RAILS_ROOT}/log/pages.txt","w+") do |fl|
          fl.puts(data)
        end
      rescue
        logger.info "Error downloading page"
      end
    end
  end
end

