#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
require File.dirname(__FILE__) + '/../test_helper'

class EmailValidationTest < Test::Unit::TestCase

  def setup
    @person = Person.new
  end
  
  def test_valid_domain
    assert @person.valid_domain?("railsrecipes@gmail.com")
  end
  
  def test_invalid_domain
    assert !@person.valid_domain?("railsrecipes@g.com")
  end

end
