#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
require File.dirname(__FILE__) + '/../test_helper'

class StudentTest < ActiveSupport::TestCase

  def test_validation_succeeds
    s = Student.new(:name => "Charlie Brown", :ssn => "123-12-1234")
    assert s.valid?
  end

  def test_validation_fails
    s = Student.new(:name => "Linus", :ssn => "1234")
    assert !s.valid?
    assert_equal "must be of format ###-##-####", s.errors[:ssn]
  end
end
