#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
require File.dirname(__FILE__) + '/../test_helper'

class TeacherTest < ActiveSupport::TestCase

  def test_valid
    t = Teacher.new(:name => 'Miss Othmar')
    t.ssn = "123-12-1234"
    assert t.valid?
  end

  def test_invalid
    t = Teacher.new(:name => 'Miss Othmar')
    t.ssn = "1234"
    assert !t.valid?
    assert_equal "must be of format ###-##-####", t.errors[:ssn]
  end
end
