#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
require File.dirname(__FILE__) + '/../test_helper'

class RoomTest < Test::Unit::TestCase
  fixtures :rooms, :events

	def test_room_assignments
		west_room = rooms :west_room
		assert_equal(2, west_room.events.size)
		assert_equal(events(:ruby_101), west_room.events.first)
	end
end
