#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---


class Account < ActiveRecord::Base
  has_one :subscription




  delegate :free?, :to => :subscription  



  delegate :free?, :paying?, :to => :subscription



  delegate :free?, :paying?, :to => "subscription.nil? ? false : subscription"



  delegate :overdue?, :to => "subscription.last_payment"  




end




