/***
 * Excerpted from "Advanced Rails Recipes",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
***/

var LoginCheck = Class.create({
  initialize: function(cookie_name) {    
    var cookie_value = get_cookie(cookie_name);
    if (!cookie_value) {      
      $('login').update("<a href=\"/login\">Log In</a>");
    } else {
      $('login').update("Welcome, " + cookie_value.escapeHTML() + "!" + 
                        " (<a href=\"/logout\">Log Out</a>)");
    }
  }
});

function get_cookie(name) {
  var value = null;
  document.cookie.split('; ').each(function(cookie) {
    var name_value = cookie.split('=');
    if (name_value[0] == name) {
      value = name_value[1];
    }
  });
  return value;
}

