#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
class User < ActiveRecord::Base
  has_many :bounces
  
  MAX_BOUNCES = 1
  
  def email_bounced(bounce)
    if bounces.size > MAX_BOUNCES
      update_attribute(:email_validated_at, nil)
    end
  end
  
  def should_email?
    email_validated_at?
  end
  
end
