#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
class CreateSecretPatients < ActiveRecord::Migration
  def self.up
    create_table :secret_patients do |t|
      t.string :name
      t.binary :address
      t.binary :ssn
    end
  end

  def self.down
    drop_table :secret_patients
  end
end
