#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
class SimpleHealthCheckHandler < Mongrel::HttpHandler
  def process(request,response)
    response.start(200) do |head,out|
      head["Content-Type"] = "text/html"
      out.write "Feeling good..."
    end
  end
end

uri "/simple-health-check", :handler => SimpleHealthCheckHandler.new, 
                            :in_front => true
