#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
=begin

class OrdersController < ApplicationController

  def new
    @account    = UserAccount.new
    @address    = Address.new
    @credential = UserCredential.new
  end
  
  def create
    @account    = UserAccount.new(params[:account])
    @address    = Address.new(params[:address])
    @credential = UserCredential.new(params[:credential])
    
    account_saved = @account.save
    @address.user_account = @account
    @credential.user_account = @account
    if account_saved && @address.save && @credential.save
      redirect_to thank_you_url 
    end
  end
end

=end

class OrdersController < ApplicationController
  

  def new
    @presenter = OrderPresenter.new(params[:presenter])
  end

  def create
    @presenter = OrderPresenter.new(params[:presenter])
    if @presenter.save
      redirect_to thank_you_url 
    end
  end

  
  def thank_you
  end
end