#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
require File.dirname(__FILE__) + '/../spec_helper'

describe User do
  before(:each) do
    @josh = User.new(:sign => 'capricorn')
    @siobhan = User.new(:sign => 'virgo')
    @sandy = User.new(:sign => 'leo')
  end

  it "returns compatibility with other users" do
    @josh.should like(@siobhan)
    @josh.should_not like(@sandy)

    foo = mock_model(User)

    @josh.should like_virgos
    @josh.should_not like_leos
  end
end
