#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
require 'uri'
require 'net/http'

class Mp3 < ActiveRecord::Base
  
  before_save :retrieve_length

private 

  def retrieve_length
    if self.length.nil?
      uri = URI.parse(self.url)
      response = Net::HTTP.new(uri.host).head(uri.path)
      self.length = response['content-length']
    end
  end

end