#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
if RAILS_ENV == "test"
  class ActiveRecord::ConnectionAdapters::AbstractAdapter
    @@queries = []
    cattr_accessor :queries
  
    def log_info_with_trace(sql, name, runtime)
      return unless @logger and @logger.debug?
      self.queries << sql
      log_info_without_trace(sql, name, runtime)
    end
  
    alias_method_chain :log_info, :trace
  end
end
