#START:performance
namespace :test do
#END:performance

  #START:performance
  Rake::TestTask.new(:performance => "db:test:prepare") do |t|
    t.libs << "test"
    t.pattern = 'test/performance/**/*_test.rb'
    t.verbose = true
  end
  Rake::Task['test:performance'].comment = 
    "Run the performance tests in test/performance"
  #END:performance

  #START:network  
  Rake::TestTask.new(:network => "db:test:prepare") do |t|
    t.libs << "test"
    t.pattern = 'test/network/**/*_test.rb'
    t.verbose = true
  end
  Rake::Task['test:network'].comment = 
    "Run the network tests in test/network"
  #END:network  
  
#START:performance
end
#END:performance
