#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
class ArticleWithNamedScope < ActiveRecord::Base  
  
  set_table_name 'articles'
  
  named_scope :publicly_viewable, 
              lambda { {:conditions => ["draft = ? AND publish_date <= ?", 
                                         false, Time.now]} }
   
  named_scope :premium,             
              :conditions => {:premium => true} 

end