/***
 * Excerpted from "Advanced Rails Recipes",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
***/
// Place your application-specific JavaScript functions and classes here
// This file is automatically included by javascript_include_tag :defaults

function toggleCheckBoxAndSubmit(listId, id) {
	var completed = document.getElementById('item-'+id+'-completed');
	completed.value = (completed.value == '1') ? '0' : '1';
	var form = document.getElementById('item-'+id);
	
	// Auto-submit the form
	if (document.createEvent) {
		var evt = document.createEvent('HTMLEvents');
		if (evt.initEvent)
			evt.initEvent('submit', true, true);
		
		if (form.dispatchEvent)
			form.dispatchEvent(evt);
	}
	
	// Update the original list
	new Ajax.Request('/lists/'+listId, {asynchronous:true, method: 'get', 
		onComplete: function(ajax) { 
			$('list-'+listId).replace(ajax.responseText);
		}
	});
}