#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
class PurchasesController < ApplicationController
  
  def create
    @purchase = Purchase.new(params[:purchase])
    
    respond_to do |format|
      if @purchase.save
        format.xml { render :xml      => @purchase, 
                            :status   => :created, 
                            :location => @purchase }
      else
        format.xml { render :xml    => @purchase.errors, 
                            :status => :unprocessable_entity }
      end
    end
  end
end
