#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
require File.dirname(__FILE__) + '/../test_helper'

class JobPostingsControllerTest < ActionController::TestCase
  tests JobPostingsController

  def test_should_get_index
    get :index
    assert_response :success
    assert_not_nil assigns(:job_postings)
  end

  def test_should_get_new
    get :new
    assert_response :success
  end

  def test_should_create_job_posting
    assert_difference('JobPosting.count') do
      post :create, :job_posting => { }
    end

    assert_redirected_to job_posting_path(assigns(:job_posting))
  end

  def test_should_show_job_posting
    get :show, :id => 1
    assert_response :success
  end

  def test_should_get_edit
    get :edit, :id => 1
    assert_response :success
  end

  def test_should_update_job_posting
    put :update, :id => 1, :job_posting => { }
    assert_redirected_to job_posting_path(assigns(:job_posting))
  end

  def test_should_destroy_job_posting
    assert_difference('JobPosting.count', -1) do
      delete :destroy, :id => 1
    end

    assert_redirected_to job_postings_path
  end
end
