#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
class Registration < ActiveRecord::Base

  belongs_to :event
  belongs_to :user
  
  def self.paid
    find :all, :conditions => "paid_at is not null"
  end
  
  def self.unpaid
    find :all, :conditions => "paid_at is null"
  end
  
end