#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
class CreateStatuses < ActiveRecord::Migration
  
  def self.up
    create_table :statuses do |t|
      t.string :name
    end

    add_column :accounts, :status_id, :integer

    Status.create([
      {:name => 'Pending'},
      {:name => 'Active'},
      {:name => 'Disabled'}
    ])
  end

  def self.down
    remove_column :accounts, :status_id
    drop_table :statuses
  end

end
