#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
module CustomValidations    
  def validates_ssn(*attr_names)
    attr_names.each do |attr_name|
      validates_format_of attr_name, 
                          :with => /^[\d]{3}-[\d]{2}-[\d]{4}$/, 
                          :message => "must be of format ###-##-####"
    end
  end
end
ActiveRecord::Base.extend(CustomValidations)
