#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
class CreateEvents < ActiveRecord::Migration
  def self.up
    create_table :events do |t|
			t.string  :title, :description
			t.integer :room_id, :speaker_id
    end

    create_table :attendees_events, :id => false do |t|
      t.integer :attendee_id, :event_id
    end
  end

  def self.down
    drop_table :attendees_events
    drop_table :events
  end
end
