#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
class AddExampleBooks < ActiveRecord::Migration

  def self.up
    down
    
    Book.create!([
      {
        :title   => 'Deploying Rails Applications',
        :author  => 'Ezra Zygmuntowicz and Bruce Tate',
        :edition => 1,
        :isbn    => '978-0-9787392-0-1',
        :pubdate => Date.parse('Mar 2008')
      },
      {
        :title   => 'Rails Recipes',
        :author  => 'Chad Fowler',
        :edition => 1,
        :isbn    => '978-0-9776166-0-2',
        :pubdate => Date.parse('Jun 2006')
      },
      {
        :title   => 'Agile Web Development with Rails',
        :author  => 'Dave Thomas and David Heinemeier Hansson',
        :edition => 2,
        :isbn    => '978-0-9776166-3-3',
        :pubdate => Date.parse('Dec 2006')
      }
    ])
  end

  def self.down
    Book.delete_all
  end

end
