#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
class SessionsController < ApplicationController

  skip_before_filter :login_required
  skip_before_filter :require_valid_email
  
  def new
  end
  
  def create
    user = User.find_by_username(params[:username])
    if user
      session[:user_id] = user.id
      redirect_to user_path(user)
    else
      render :action => "new"
    end
  end
end
