#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
require File.dirname(__FILE__) + '/../spec_helper'

describe Person do
  before(:each) do
    @person = Person.new(:name => 'Adam Keys', 
                         :url => 'http://therealadam.com')
  end

  it "should be valid" do
    @person.should be_valid
  end
end

describe "A person with no attributes set" do
  before do
    @person = Person.new
  end
  
  it "should not be valid" do
    @person.should_not be_valid
  end
end