#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
class User < ActiveRecord::Base

  def likes?(other_user)
    case sign
    when 'capricorn'
      if ['virgo', 'taurus'].include?(other_user.sign)
        true
      else
        false
      end
    end
  end

  def self.find_distinct_signs
    ['capricorn', 'virgo', 'leo'] # let's pretend this is a SELECT DISTINCT FROM zodiac_signs...
  end
end
