#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
require File.dirname(__FILE__) + '/../test_helper'

class Mp3sControllerTest < ActionController::TestCase
  tests Mp3sController

  def test_should_get_index
    get :index
    assert_response :success
    assert_not_nil assigns(:mp3s)
  end

  def test_should_get_new
    get :new
    assert_response :success
  end

  def test_should_create_mp3
    assert_difference('Mp3.count') do
      post :create, :mp3 => { }
    end

    assert_redirected_to mp3_path(assigns(:mp3))
  end

  def test_should_show_mp3
    get :show, :id => 1
    assert_response :success
  end

  def test_should_get_edit
    get :edit, :id => 1
    assert_response :success
  end

  def test_should_update_mp3
    put :update, :id => 1, :mp3 => { }
    assert_redirected_to mp3_path(assigns(:mp3))
  end

  def test_should_destroy_mp3
    assert_difference('Mp3.count', -1) do
      delete :destroy, :id => 1
    end

    assert_redirected_to mp3s_path
  end
end
