#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
class RegistrationsController < ApplicationController
      
  def create
    @event = Event.find(params[:event_id])
    if @current_user.register_for(@event)
      flash[:notice] = "Thanks for registering!"
    else
      flash[:notice] = "You're already registered for that event!"
    end
    @events = @current_user.events
  end

end