#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
class AccountsController < ApplicationController
  
  ssl_required :create, :change_password
  ssl_allowed :show
  
  def create
    # Non-SSL access will be redirected to SSL
  end
  
  def change_password
    # Non-SSL access will be redirected to SSL
  end

  def show
    # Works either with or without SSL
  end

  def index
    # SSL access will be redirected to non-SSL
  end
  
end