#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
require 'net/http'
require 'uri'

class HomepageObserver < ActiveRecord::Observer
  observe Homepage
  
  include ActionController::UrlWriter
  default_url_options[:host] = 'www.your-domain.com'
  
  def after_create(homepage)    
    Net::HTTP.get('www.google.com',
                  '/ping?sitemap=' + URI.escape(sitemap_url))
  end
  
end