namespace :starling do
  
  task :consume do
    require 'memcache'
    require 's3_uploader'

    sleep_time = 0
    starling = MemCache.new('127.0.0.1:22122')
    
    loop do  
      message = starling.get('s3_uploads')  
      if message
        s3 = S3Uploader.new(message[:file_name], message[:public_path])
        begin
          s3.upload
          print s3.url
          sleep_time = 0
        rescue Exception
          print 'X'
          starling.set('s3_uploads', message)
          sleep_time = 30        
        end
      else # no work
        print '.'
        sleep_time = 5
      end
      $stdout.flush
      sleep sleep_time 
    end
  end
end
