#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
class Account < ActiveRecord::Base

  def self.for(domain, subdomains)
    account = find_by_domain(domain) 
    unless subdomains.blank?
      account ||= find_by_subdomain(subdomains.first) 
    end
    account
  end

end
