#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
require File.dirname(__FILE__) + '/../test_helper'

class UsersControllerTest < ActionController::TestCase
  
  tests UsersController


  def test_index
    get :index
    assert_response :success
    assert_template 'index'
    assert_select "div#intro p#intro_text a[href='#']", 'login'
    assert_select "div#login_form", 1
    # no form inputs in the div yet
    assert_select "div#form_area input[name='user_id']", 0  
  end
  
  def test_login
    post :login, :user_id => 'Joe', :password => 'password'
    assert_response :success
    assert_template 'home'
    assert_select "h1.heading", "Thank you for logging in, Joe!"
  end


end