#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
class CreateCovers < ActiveRecord::Migration
  def self.up
    create_table :covers do |t|
      t.integer :album_id, :parent_id, :size, :width, :height
      t.string  :content_type, :filename, :thumbnail 
      t.timestamps
    end
  end

  def self.down
    drop_table :covers
  end
end
