#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
class CreateStates < ActiveRecord::Migration
  
  def self.up
    create_table :states do |t|
      t.string :name
      t.string :abbreviation
    end
    
    State.create([
      {:name => 'Alaska',   :abbreviation => 'AK'},
      {:name => 'Alabama',  :abbreviation => 'AL'},
      {:name => 'Arkansas', :abbreviation => 'AR'},
      {:name => 'Arizona',  :abbreviation => 'AZ'},
      # ... more states ...
      {:name => 'Wyoming',  :abbreviation => 'WY'}
    ])
  end

  def self.down
    drop_table :states
  end
end
