#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
require File.dirname(__FILE__) + '/../test_helper'

class ValidMarkupTest < ActionController::IntegrationTest
  
  fixtures :events
  
  Html::Test::Validator.tidy_ignore_list =    
  [/<table> lacks "summary" attribute/] 

  Html::Test::Validator.w3c_url = "http://localhost/cgi-bin/check"
  
  ApplicationController.check_urls = true
  ApplicationController.check_redirects = true
  
  def test_valid_markup
    get events_url
    assert_w3c
  end
  
end