#---
# Excerpted from "Advanced Rails Recipes",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_arr for more book information.
#---
class List < ActiveRecord::Base
  
  has_many :items
  
  has_many :outstanding_items, 
           :class_name => 'Item', 
           :conditions => "completed = false"
  
  has_many :completed_items, 
           :class_name => 'Item', 
           :conditions => "completed = true"
  
  validates_presence_of :title
end